| Kea 3.0.2-git

tsig.h File Reference
`#include <boost/noncopyable.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <exceptions/exceptions.h>`
`#include <dns/tsigerror.h>`
`#include <dns/tsigkey.h>`
`#include <dns/tsigrecord.h>`
Include dependency graph for tsig.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dns::TSIGContext
| TSIG session context. More...
class | isc::dns::TSIGContextError
| An exception that is thrown for logic errors identified in TSIG sign/verify operations. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dns

## Typedefs
typedef boost::shared_ptr< TSIGContext > | isc::dns::TSIGContextPtr
typedef boost::shared_ptr< TSIGKey > | isc::dns::TSIGKeyPtr